Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002987KdenliveUser Interfacepublic2013-02-17 20:452013-04-07 08:45
Reporterlxvidcut 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformIntelOSOpenSUSEOS Version12.2
Product VersionRecent git 
Target VersionFixed in Version0.9.6 
Summary0002987: Crash during playback
DescriptionHi Jean-Baptiste,

most recent version is crashing while playing back the timeline. I assume the crash occurs when playing at a position where a title clip with transition is active.
Please find below the gdb output.
The second output was created after installing of some missing debuginfo packages.

Best regards,
Christian
Steps To Reproduce*** glibc detected *** /home/kdenlivesvn/opt/bin/kdenlive: malloc(): smallbin double linked list corrupted: 0x00007fff2412b200 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x78b66)[0x7ffff0cdfb66]
/lib64/libc.so.6(+0x7ad61)[0x7ffff0ce1d61]
/lib64/libc.so.6(__libc_malloc+0x70)[0x7ffff0ce3c30]
/usr/lib64/libQtCore.so.4(_ZN7QStringC1EPK5QChari+0x3a)[0x7ffff49cd67a]
/usr/lib64/libQtCore.so.4(_ZNK7QString4leftEi+0x21)[0x7ffff49cead1]
/home/kdenlivesvn/opt/lib64/mlt/libmltqimage.so(drawKdenliveTitle+0x662)[0x7fffdc800462]
/home/kdenlivesvn/opt/lib64/mlt/libmltqimage.so(+0x9822)[0x7fffdc7f8822]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/mlt/libmltavformat.so(+0x63d9)[0x7fffe18043d9]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/mlt/libmltcore.so(+0xc84c)[0x7fffdb0e584c]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/mlt/libmltcore.so(+0x11ddf)[0x7fffdb0eaddf]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/mlt/libmltcore.so(+0xdbfe)[0x7fffdb0e6bfe]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/mlt/libmltcore.so(+0x12320)[0x7fffdb0eb320]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/mlt/libmltcore.so(+0x137e8)[0x7fffdb0ec7e8]
/home/kdenlivesvn/opt/lib64/mlt/libmltcore.so(+0x1485f)[0x7fffdb0ed85f]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(+0x1d97d)[0x7ffff44df97d]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(mlt_frame_get_image+0x9a)[0x7ffff44cceaa]
/home/kdenlivesvn/opt/lib64/libmlt.so.5(+0x1aa6d)[0x7ffff44dca6d]
/lib64/libpthread.so.0(+0x7e0e)[0x7ffff46f2e0e]
/lib64/libc.so.6(clone+0x6d)[0x7ffff0d4b2cd]
======= Memory map: ========
00400000-00801000 r-xp 00000000 08:04 928523 /home/kdenlivesvn/opt/bin/kdenlive
00a00000-00a01000 r--p 00400000 08:04 928523 /home/kdenlivesvn/opt/bin/kdenlive
00a01000-00a08000 rw-p 00401000 08:04 928523 /home/kdenlivesvn/opt/bin/kdenlive
00a08000-09f38000 rw-p 00000000 00:00 0 [heap]
7fff1c000000-7fff1dce4000 rw-p 00000000 00:00 0
7fff1dce4000-7fff20000000 ---p 00000000 00:00 0
7fff24000000-7fff27eef000 rw-p 00000000 00:00 0
7fff27eef000-7fff28000000 ---p 00000000 00:00 0
7fff2c000000-7fff2cd94000 rw-p 00000000 00:00 0
7fff2cd94000-7fff30000000 ---p 00000000 00:00 0
7fff30000000-7fff32ac3000 rw-p 00000000 00:00 0
7fff32ac3000-7fff34000000 ---p 00000000 00:00 0
7fff34000000-7fff35481000 rw-p 00000000 00:00 0
7fff35481000-7fff38000000 ---p 00000000 00:00 0
7fff38000000-7fff38d8e000 rw-p 00000000 00:00 0
7fff38d8e000-7fff3c000000 ---p 00000000 00:00 0
7fff3c000000-7fff3cdda000 rw-p 00000000 00:00 0
7fff3cdda000-7fff40000000 ---p 00000000 00:00 0
7fff40000000-7fff40d87000 rw-p 00000000 00:00 0
7fff40d87000-7fff44000000 ---p 00000000 00:00 0
7fff44000000-7fff44d9e000 rw-p 00000000 00:00 0
7fff44d9e000-7fff48000000 ---p 00000000 00:00 0
7fff48000000-7fff48dd9000 rw-p 00000000 00:00 0
7fff48dd9000-7fff4c000000 ---p 00000000 00:00 0
7fff4c000000-7fff4fffe000 rw-p 00000000 00:00 0
7fff4fffe000-7fff50000000 ---p 00000000 00:00 0
7fff50000000-7fff50ed1000 rw-p 00000000 00:00 0
7fff50ed1000-7fff54000000 ---p 00000000 00:00 0
7fff54000000-7fff57f91000 rw-p 00000000 00:00 0
7fff57f91000-7fff58000000 ---p 00000000 00:00 0
7fff5c000000-7fff5ff78000 rw-p 00000000 00:00 0
7fff5ff78000-7fff60000000 ---p 00000000 00:00 0
7fff60000000-7fff60d3b000 rw-p 00000000 00:00 0
7fff60d3b000-7fff64000000 ---p 00000000 00:00 0
7fff68000000-7fff69915000 rw-p 00000000 00:00 0
7fff69915000-7fff6c000000 ---p 00000000 00:00 0
7fff6cf49000-7fff6cf4a000 ---p 00000000 00:00 0
7fff6cf4a000-7fff6d74a000 rw-p 00000000 00:00 0 [stack:7415]
7fff6d74a000-7fff6d74b000 ---p 00000000 00:00 0
7fff6d74b000-7fff6df4b000 rw-p 00000000 00:00 0 [stack:7412]
7fff6df4b000-7fff71f4c000 rw-s 00000000 00:10 93906 /dev/shm/pulse-shm-3172914762
7fff71f4c000-7fff7274d000 rw-p 00000000 00:00 0
7fff727fd000-7fff727fe000 ---p 00000000 00:00 0
7fff727fe000-7fff737ff000 rw-p 00000000 00:00 0 [stack:7414]
7fff737ff000-7fff73800000 ---p 00000000 00:00 0
7fff73800000-7fff74000000 rw-p 00000000 00:00 0 [stack:7042]
7fff74000000-7fff77d94000 rw-p 00000000 00:00 0
7fff77d94000-7fff78000000 ---p 00000000 00:00 0
7fff787f9000-7fff787fa000 ---p 00000000 00:00 0
7fff787fa000-7fff78ffa000 rw-p 00000000 00:00 0 [stack:7041]
7fff78ffa000-7fff78ffb000 ---p 00000000 00:00 0
7fff78ffb000-7fff797fb000 rw-p 00000000 00:00 0 [stack:7035]
7fff797fb000-7fff797fc000 ---p 00000000 00:00 0
7fff797fc000-7fff79ffc000 rw-p 00000000 00:00 0 [stack:7034]
7fff79ffc000-7fff79ffd000 ---p 00000000 00:00 0
7fff79ffd000-7fff7a7fd000 rw-p 00000000 00:00 0 [stack:7033]
7fff7a7fd000-7fff7a7fe000 ---p 00000000 00:00 0
7fff7a7fe000-7fff7affe000 rw-p 00000000 00:00 0 [stack:7032]
7fff7affe000-7fff7afff000 ---p 00000000 00:00 0
7fff7afff000-7fff7b7ff000 rw-p 00000000 00:00 0 [stack:7031]
7fff7b7ff000-7fff7b800000 ---p 00000000 00:00 0
7fff7b800000-7fff7c000000 rw-p 00000000 00:00 0 [stack:7040]
7fff7c000000-7fff7ca01000 rw-p 00000000 00:00 0
7fff7ca01000-7fff80000000 ---p 00000000 00:00 0
7fff80000000-7fff80a11000 rw-p 00000000 00:00 0
7fff80a11000-7fff84000000 ---p 00000000 00:00 0
7fff84000000-7fff84a6f000 rw-p 00000000 00:00 0
7fff84a6f000-7fff88000000 ---p 00000000 00:00 0
7fff88000000-7fff88a23000 rw-p 00000000 00:00 0
7fff88a23000-7fff8c000000 ---p 00000000 00:00 0
7fff8c000000-7fff8cea1000 rw-p 00000000 00:00 0
7fff8cea1000-7fff90000000 ---p 00000000 00:00 0
7fff907f9000-7fff907fa000 ---p 00000000 00:00 0
7fff907fa000-7fff90ffa000 rw-p 00000000 00:00 0 [stack:7038]
7fff90ffa000-7fff90ffb000 ---p 00000000 00:00 0
7fff90ffb000-7fff917fb000 rw-p 00000000 00:00 0 [stack:7410]
7fff917fb000-7fff917fc000 ---p 00000000 00:00 0
7fff917fc000-7fff91ffc000 rw-p 00000000 00:00 0 [stack:7025]
7fff91ffc000-7fff91ffd000 ---p 00000000 00:00 0
7fff91ffd000-7fff927fd000 rw-p 00000000 00:00 0 [stack:7024]
7fff927fd000-7fff927fe000 ---p 00000000 00:00 0
7fff927fe000-7fff92ffe000 rw-p 00000000 00:00 0 [stack:7023]
7fff92ffe000-7fff92fff000 ---p 00000000 00:00 0
7fff92fff000-7fff937ff000 rw-p 00000000 00:00 0 [stack:7022]
7fff937ff000-7fff93800000 ---p 00000000 00:00 0
7fff93800000-7fff94000000 rw-p 00000000 00:00 0 [stack:7021]
7fff94000000-7fff94d57000 rw-p 00000000 00:00 0
7fff94d57000-7fff98000000 ---p 00000000 00:00 0
7fff98000000-7fff98d6a000 rw-p 00000000 00:00 0
7fff98d6a000-7fff9c000000 ---p 00000000 00:00 0
7fff9c000000-7fff9cd99000 rw-p 00000000 00:00 0
7fff9cd99000-7fffa0000000 ---p 00000000 00:00 0
7fffa0000000-7fffa0dad000 rw-p 00000000 00:00 0
7fffa0dad000-7fffa4000000 ---p 00000000 00:00 0
7fffa4000000-7fffa4ec0000 rw-p 00000000 00:00 0
7fffa4ec0000-7fffa8000000 ---p 00000000 00:00 0
7fffa83f8000-7fffa8ffa000 rw-p 00000000 00:00 0
7fffa8ffa000-7fffa8ffb000 ---p 00000000 00:00 0
7fffa8ffb000-7fffa97fb000 rw-p 00000000 00:00 0 [stack:7020]
7fffa97fb000-7fffa97fc000 ---p 00000000 00:00 0
7fffa97fc000-7fffa9ffc000 rw-p 00000000 00:00 0 [stack:7019]
7fffa9ffc000-7fffa9ffd000 ---p 00000000 00:00 0
7fffa9ffd000-7fffaa7fd000 rw-p 00000000 00:00 0 [stack:7018]
7fffaa7fd000-7fffaa7fe000 ---p 00000000 00:00 0
7fffaa7fe000-7fffaaffe000 rw-p 00000000 00:00 0 [stack:7017]
7fffaaffe000-7fffaafff000 ---p 00000000 00:00 0
7fffaafff000-7fffac000000 rw-p 00000000 00:00 0 [stack:7016]
7fffac000000-7fffacd6f000 rw-p 00000000 00:00 0
7fffacd6f000-7fffb0000000 ---p 00000000 00:00 0
7fffb0000000-7fffb0d93000 rw-p 00000000 00:00 0
7fffb0d93000-7fffb4000000 ---p 00000000 00:00 0
7fffb4000000-7fffb4d95000 rw-p 00000000 00:00 0
7fffb4d95000-7fffb8000000 ---p 00000000 00:00 0
7fffb8000000-7fffb8d34000 rw-p 00000000 00:00 0
7fffb8d34000-7fffbc000000 ---p 00000000 00:00 0
7fffbc000000-7fffbedf3000 rw-p 00000000 00:00 0
7fffbedf3000-7fffc0000000 ---p 00000000 00:00 0
7fffc0000000-7fffc0ec6000 rw-p 00000000 00:00 0
7fffc0ec6000-7fffc4000000 ---p 00000000 00:00 0
7fffc4000000-7fffc6a93000 rw-p 00000000 00:00 0
7fffc6a93000-7fffc8000000 ---p 00000000 00:00 0
7fffc8000000-7fffc8021000 rw-p 00000000 00:00 0
7fffc8021000-7fffcc000000 ---p 00000000 00:00 0
7fffcc010000-7fffcc011000 ---p 00000000 00:00 0
7fffcc011000-7fffcc811000 rw-p 00000000 00:00 0 [stack:7015]
7fffcc811000-7fffcc812000 ---p 00000000 00:00 0
7fffcc812000-7fffcd012000 rw-p 00000000 00:00 0 [stack:7014]
7fffcd012000-7fffcd013000 ---p 00000000 00:00 0
7fffcd013000-7fffcd813000 rw-p 00000000 00:00 0 [stack:7013]
7fffcd813000-7fffcd814000 ---p 00000000 00:00 0
7fffcd814000-7fffce014000 rw-p 00000000 00:00 0 [stack:7012]
7fffce014000-7fffce015000 ---p 00000000 00:00 0
7fffce015000-7fffce815000 rw-p 00000000 00:00 0 [stack:7011]
7fffce815000-7fffce816000 ---p 00000000 00:00 0
7fffce816000-7fffcf016000 rw-p 00000000 00:00 0 [stack:7413]
7fffcf016000-7fffcf017000 ---p 00000000 00:00 0
7fffcf017000-7fffcf817000 rw-p 00000000 00:00 0 [stack:7039]
7fffcf818000-7fffcff08000 rw-p 00000000 00:00 0
7fffd0000000-7fffd0021000 rw-p 00000000 00:00 0
7fffd0021000-7fffd4000000 ---p 00000000 00:00 0
7fffd40b5000-7fffd414b000 r--p 00000000 08:04 1703097 /usr/share/fonts/truetype/DejaVuSans-Oblique.ttf
7fffd414b000-7fffd454c000 rw-p 00000000 00:00 0
7fffd454c000-7fffd454d000 ---p 00000000 00:00 0
7fffd454d000-7fffd4d4d000 rw-p 00000000 00:00 0 [stack:6997]
7fffd4ea0000-7fffd4ea1000 ---p 00000000 00:00 0
7fffd4ea1000-7fffd56a1000 rw-p 00000000 00:00 0 [stack:6993]
7fffd56a1000-7fffd5743000 r-xp 00000000 08:04 1319362 /usr/lib64/libkfile.so.4.8.0
7fffd5743000-7fffd5942000 ---p 000a2000 08:04 1319362 /usr/lib64/libkfile.so.4.8.0
7fffd5942000-7fffd5947000 r--p 000a1000 08:04 1319362 /usr/lib64/libkfile.so.4.8.0
7fffd5947000-7fffd594a000 rw-p 000a6000 08:04 1319362 /usr/lib64/libkfile.so.4.8.0
7fffd5970000-7fffd5973000 r-xp 00000000 08:04 1319235 /usr/lib64/kde4/kfilemodule.so
7fffd5973000-7fffd5b72000 ---p 00003000 08:04 1319235 /usr/lib64/kde4/kfilemodule.so
7fffd5b72000-7fffd5b73000 r--p 00002000 08:04 1319235 /usr/lib64/kde4/kfilemodule.so
7fffd5b73000-7fffd5b74000 rw-p 00003000 08:04 1319235 /usr/lib64/kde4/kfilemodule.so
7fffd5b74000-7fffd5db2000 r--s 00000000 08:04 1584736 /var/tmp/kdecache-kdenlivesvn/ksycoca4
7fffd5db2000-7fffd62db000 rw-s 00000000 00:04 9699401 /SYSV00000000 (deleted)
7fffd62db000-7fffd62e5000 r-xp 00000000 08:04 1704175 /lib64/libnss_nis-2.15.so
7fffd62e5000-7fffd64e5000 ---p 0000a000 08:04 1704175 /lib64/libnss_nis-2.15.so
7fffd64e5000-7fffd64e6000 r--p 0000a000 08:04 1704175 /lib64/libnss_nis-2.15.so
7fffd64e6000-7fffd64e7000 rw-p 0000b000 08:04 1704175 /lib64/libnss_nis-2.15.so
7fffd64e7000-7fffd64fc000 r-xp 00000000 08:04 1724418 /lib64/libnsl-2.15.so
7fffd64fc000-7fffd66fb000 ---p 00015000 08:04 1724418 /lib64/libnsl-2.15.so
7fffd66fb000-7fffd66fc000 r--p 00014000 08:04 1724418 /lib64/libnsl-2.15.so
7fffd66fc000-7fffd66fd000 rw-p 00015000 08:04 1724418 /lib64/libnsl-2.15.so
7fffd66fd000-7fffd6800000 rw-p 00000000 00:00 0
7fffd6800000-7fffd6866000 r--p 00000000 08:04 1573207 /var/cache/libx11/compose/l4_030_313cb605_00280cc0
7fffd6866000-7fffd6968000 rw-s 00000000 08:04 1577589 /var/tmp/kdecache-kdenlivesvn/kdenlive-thumbs.kcache
7fffd6968000-7fffd6974000 r-xp 00000000 08:04 1724421 /lib64/libnss_files-2.15.so
7fffd6974000-7fffd6b73000 ---p 0000c000 08:04 1724421 /lib64/libnss_files-2.15.so
7fffd6b73000-7fffd6b74000 r--p 0000b000 08:04 1724421 /lib64/libnss_files-2.15.so
7fffd6b74000-7fffd6b75000 rw-p 0000c000 08:04 1724421 /lib64/libnss_files-2.15.so
7fffd6b9b000-7fffd6ba1000 r-xp 00000000 08:04 928521 /home/kdenlivesvn/opt/lib64/kde4/libkdenlive_sampleplugin.so
7fffd6ba1000-7fffd6da0000 ---p 00006000 08:04 928521 /home/kdenlivesvn/opt/lib64/kde4/libkdenlive_sampleplugin.so
7fffd6da0000-7fffd6da1000 r--p 00005000 08:04 928521 /home/kdenlivesvn/opt/lib64/kde4/libkdenlive_sampleplugin.so
7fffd6da1000-7fffd6da2000 rw-p 00006000 08:04 928521 /home/kdenlivesvn/opt/lib64/kde4/libkdenlive_sampleplugin.so
7fffd70e8000-7fffd70f1000 r--p 00000000 08:04 1729094 /usr/share/fonts/truetype/teen____.ttf
7fffd70f1000-7fffd74e6000 rw-s 00000000 00:04 11501623 /SYSV00000000 (deleted)
7fffd74e6000-7fffd75de000 rw-s 00000000 00:04 11468853 /SYSV00000000 (deleted)
7fffd75de000-7fffd75e5000 r-xp 00000000 08:04 1724419 /lib64/libnss_compat-2.15.so
7fffd75e5000-7fffd77e4000 ---p 00007000 08:04 1724419 /lib64/libnss_compat-2.15.so
7fffd77e4000-7fffd77e5000 r--p 00006000 08:04 1724419 /lib64/libnss_compat-2.15.so
7fffd77e5000-7fffd77e6000 rw-p 00007000 08:04 1724419 /lib64/libnss_compat-2.15.so
7fffd77e6000-7fffd788b000 r--p 00000000 08:04 1703100 /usr/share/fonts/truetype/DejaVuSans-Bold.ttf
7fffd788b000-7fffd793b000 r--p 00000000 08:04 1703117 /usr/share/fonts/truetype/DejaVuSans.ttf
7fffd793b000-7fffd7942000 r-xp 00000000 08:04 927866 /home/kdenlivesvn/opt/lib64/mlt/libmltrotoscoping.so
7fffd7942000-7fffd7b41000 ---p 00007000 08:04 927866 /home/kdenlivesvn/opt/lib64/mlt/libmltrotoscoping.so
7fffd7b41000-7fffd7b42000 r--p 00006000 08:04 927866 /home/kdenlivesvn/opt/lib64/mlt/libmltrotoscoping.so
7fffd7b42000-7fffd7b43000 rw-p 00007000 08:04 927866 /home/kdenlivesvn/opt/lib64/mlt/libmltrotoscoping.so
7fffd7b43000-7fffd7b4b000 r-xp 00000000 08:04 1309320 /usr/lib64/libxcb-render.so.0.0.0
7fffd7b4b000-7fffd7d4b000 ---p 00008000 08:04 1309320 /usr/lib64/libxcb-render.so.0.0.0
7fffd7d4b000-7fffd7d4c000 r--p 00008000 08:04 1309320 /usr/lib64/libxcb-render.so.0.0.0
7fffd7d4c000-7fffd7d4d000 rw-p 00009000 08:04 1309320 /usr/lib64/libxcb-render.so.0.0.0
7fffd7d4d000-7fffd7d4f000 r-xp 00000000 08:04 1309109 /usr/lib64/libxcb-shm.so.0.0.0
7fffd7d4f000-7fffd7f4e000 ---p 00002000 08:04 1309109 /usr/lib64/libxcb-shm.so.0.0.0
7fffd7f4e000-7fffd7f4f000 r--p 00001000 08:04 1309109 /usr/lib64/libxcb-shm.so.0.0.0
7fffd7f4f000-7fffd7f50000 rw-p 00002000 08:04 1309109 /usr/lib64/libxcb-shm.so.0.0.0
7fffd7f50000-7fffd7fd0000 r-xp 00000000 08:04 1314030 /usr/lib64/libpixman-1.so.0.24.4
7fffd7fd0000-7fffd81d0000 ---p 00080000 08:04 1314030 /usr/lib64/libpixman-1.so.0.24.4
7fffd81d0000-7fffd81d6000 r--p 00080000 08:04 1314030 /usr/lib64/libpixman-1.so.0.24.4
7fffd81d6000-7fffd81d7000 rw-p 00086000 08:04 1314030 /usr/lib64/libpixman-1.so.0.24.4
7fffd81d7000-7fffd81ea000 r-xp 00000000 08:04 1724424 /lib64/libresolv-2.15.so
7fffd81ea000-7fffd83ea000 ---p 00013000 08:04 1724424 /lib64/libresolv-2.15.so
7fffd83ea000-7fffd83eb000 r--p 00013000 08:04 1724424 /lib64/libresolv-2.15.so
7fffd83eb000-7fffd83ec000 rw-p 00014000 08:04 1724424 /lib64/libresolv-2.15.so
7fffd83ec000-7fffd83ee000 rw-p 00000000 00:00 0
7fffd83ee000-7fffd840a000 r-xp 00000000 08:04 1704160 /lib64/libselinux.so.1
7fffd840a000-7fffd8609000 ---p 0001c000 08:04 1704160 /lib64/libselinux.so.1
7fffd8609000-7fffd860a000 r--p 0001b000 08:04 1704160 /lib64/libselinux.so.1
7fffd860a000-7fffd860b000 rw-p 0001c000 08:04 1704160 /lib64/libselinux.so.1
7fffd860b000-7fffd860c000 rw-p 00000000 00:00 0
7fffd860c000-7fffd860f000 r-xp 00000000 08:04 1309498 /usr/lib64/libgmodule-2.0.so.0.3200.4
7fffd860f000-7fffd880e000 ---p 00003000 08:04 1309498 /usr/lib64/libgmodule-2.0.so.0.3200.4
7fffd880e000-7fffd880f000 r--p 00002000 08:04 1309498 /usr/lib64/libgmodule-2.0.so.0.3200.4
7fffd880f000-7fffd8810000 rw-p 00003000 08:04 1309498 /usr/lib64/libgmodule-2.0.so.0.3200.4
7fffd8810000-7fffd8902000 r-xp 00000000 08:04 1314073 /usr/lib64/libcairo.so.2.11200.2
7fffd8902000-7fffd8b02000 ---p 000f2000 08:04 1314073 /usr/lib64/libcairo.so.2.11200.2
7fffd8b02000-7fffd8b05000 r--p 000f2000 08:04 1314073 /usr/lib64/libcairo.so.2.11200.2
Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffcf015700 (LWP 7413)]
0x00007ffff0c9bd25 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
Missing separate debuginfos, use: zypper install libgavl1-debuginfo-1.4.0-2.1.2.x86_64 libkde4-debuginfo-4.8.5-2.20.1.x86_64 libqt4-debuginfo-4.8.1-2.12.1.x86_64 libqt4-x11-debuginfo-4.8.1-2.12.1.x86_64
Additional Information(gdb) thread apply all bt

Thread 83 (Thread 0x7fff6d749700 (LWP 7415)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:93
#1 0x00007ffff0ce581a in _L_lock_3678 () at malloc.c:5210
0000002 0x00007ffff0ce0691 in _int_free (av=0x7fff24000020, p=0x7fff2404fb40, have_lock=0) at malloc.c:4031
0000003 0x00007ffff44d14c1 in mlt_properties_close (self=0x7fffc48ee2d0) at mlt_properties.c:1331
0000004 mlt_properties_close (self=self@entry=0x7fffc48ee2d0) at mlt_properties.c:1302
0000005 0x00007ffff44cc8fc in mlt_frame_close (self=0x7fffc48ee2d0) at mlt_frame.c:902
0000006 0x00007ffff44d0b09 in mlt_property_clear (self=0x7fffc48ef2a0) at mlt_property.c:117
0000007 mlt_property_close (self=0x7fffc48ef2a0) at mlt_property.c:719
0000008 0x00007ffff44d14c1 in mlt_properties_close (self=0x7fffc4962120) at mlt_properties.c:1331
0000009 mlt_properties_close (self=self@entry=0x7fffc4962120) at mlt_properties.c:1302
0000010 0x00007ffff44cc8fc in mlt_frame_close (self=self@entry=0x7fffc4962120) at mlt_frame.c:902
0000011 0x00007fffdcc26743 in video_thread (arg=0x26e8f90) at consumer_sdl.c:755
0000012 0x00007ffff46f2e0e in start_thread (arg=0x7fff6d749700) at pthread_create.c:305
0000013 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 82 (Thread 0x7fff72ffd700 (LWP 7414)):
#0 0x00007ffff0d4320f in ppoll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>, sigmask=sigmask@entry=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:58
#1 0x00007fffeb181697 in pa_mainloop_poll (m=m@entry=0x5d7d6e0) at pulse/mainloop.c:883
0000002 0x00007fffeb181c59 in pa_mainloop_iterate (m=0x5d7d6e0, block=<optimized out>, retval=0x0) at pulse/mainloop.c:957
0000003 0x00007fffddbb5e3c in PULSE_WaitAudio (this=0x7fffc4966e40) at src/audio/pulse/SDL_pulseaudio.c:310
0000004 0x00007fffddb88a70 in SDL_RunAudio (audiop=audiop@entry=0x7fffc4966e40) at src/audio/SDL_audio.c:222
0000005 0x00007fffddb90e96 in SDL_RunThread (data=0x5e47b40) at src/thread/SDL_thread.c:204
0000006 0x00007fffddbd3cd9 in RunThread (data=<optimized out>) at src/thread/pthread/SDL_systhread.c:47
0000007 0x00007ffff46f2e0e in start_thread (arg=0x7fff72ffd700) at pthread_create.c:305
0000008 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 81 (Thread 0x7fffcf015700 (LWP 7413)):
#0 0x00007ffff0c9bd25 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1 0x00007ffff0c9d1a8 in __GI_abort () at abort.c:91
0000002 0x00007ffff0cd9fcb in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7ffff0dcb6c0 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
0000003 0x00007ffff0cdfb66 in malloc_printerr (action=3, str=0x7ffff0dcba68 "malloc(): smallbin double linked list corrupted", ptr=<optimized out>) at malloc.c:5007
0000004 0x00007ffff0ce1d61 in _int_malloc (av=av@entry=0x7fff24000020, bytes=bytes@entry=90) at malloc.c:3470
0000005 0x00007ffff0ce3c30 in __GI___libc_malloc (bytes=90) at malloc.c:2924
0000006 0x00007ffff49cd67a in QString::QString(QChar const*, int) () from /usr/lib64/libQtCore.so.4
0000007 0x00007ffff49cead1 in QString::left(int) const () from /usr/lib64/libQtCore.so.4
0000008 0x00007fffdc800462 in drawKdenliveTitle (self=self@entry=0x7fff30002a40, frame=frame@entry=0x7fffc499a230, width=1920, height=1080, position=39, force_refresh=<optimized out>) at kdenlivetitle_wrapper.cpp:451
0000009 0x00007fffdc7f8822 in producer_get_image (frame=frame@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0143e4, height=height@entry=0x7fffcf0143e8,
    writable=writable@entry=1) at producer_kdenlivetitle.c:83
0000010 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0143e4, height=height@entry=0x7fffcf0143e8,
    writable=writable@entry=1) at mlt_frame.c:475
0000011 0x00007fffe18043d9 in filter_get_image (frame=frame@entry=0x7fffc499a230, image=image@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0143e4, height=height@entry=0x7fffcf0143e8,
    writable=writable@entry=1) at filter_avdeinterlace.c:311
0000012 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0143e4, height=height@entry=0x7fffcf0143e8,
    writable=writable@entry=1) at mlt_frame.c:475
0000013 0x00007fffdb0e584c in filter_get_image (frame=frame@entry=0x7fffc499a230, image=image@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0143e4, height=height@entry=0x7fffcf0143e8,
    writable=writable@entry=1) at filter_crop.c:77
0000014 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0143e4, height=height@entry=0x7fffcf0143e8,
    writable=writable@entry=1) at mlt_frame.c:475
0000015 0x00007fffdb0eaddf in filter_get_image (frame=frame@entry=0x7fffc499a230, image=image@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0145f0, height=height@entry=0x7fffcf0145f4,
    writable=writable@entry=1) at filter_rescale.c:217
0000016 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0145f0, height=height@entry=0x7fffcf0145f4,
    writable=writable@entry=1) at mlt_frame.c:475
0000017 0x00007fffdb0e6bfe in get_image (frame=frame@entry=0x7fffc499a230, image=image@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0145f0, height=height@entry=0x7fffcf0145f4,
---Type <return> to continue, or q <return> to quit---
    writable=writable@entry=1) at filter_fieldorder.c:34
0000018 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0145f0, height=height@entry=0x7fffcf0145f4,
    writable=writable@entry=1) at mlt_frame.c:475
0000019 0x00007fffdb0eb320 in filter_get_image (frame=frame@entry=0x7fffc499a230, image=image@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0148b0, height=height@entry=0x7fffcf0148b4,
    writable=writable@entry=1) at filter_resize.c:262
0000020 0x00007ffff44cceaa in mlt_frame_get_image (self=0x7fffc499a230, buffer=0x7fffcf0148c8, format=0x7fffcf01473c, width=0x7fffcf0148b0, height=0x7fffcf0148b4, writable=1) at mlt_frame.c:475
0000021 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc499a230, buffer=buffer@entry=0x7fffcf0148c8, format=format@entry=0x7fffcf01473c, width=width@entry=0x7fffcf0148b0, height=height@entry=0x7fffcf0148b4,
    writable=writable@entry=1) at mlt_frame.c:475
0000022 0x00007fffdb0ec7e8 in get_b_frame_image (self=self@entry=0x318c9c0, b_frame=b_frame@entry=0x7fffc499a230, image=0x7fffcf0148c8, width=width@entry=0x7fffcf0148b0, height=height@entry=0x7fffcf0148b4,
    geometry=geometry@entry=0x7fffcf0148e0) at transition_composite.c:855
0000023 0x00007fffdb0ed85f in transition_get_image (a_frame=a_frame@entry=0x7fffc4997f10, image=image@entry=0x7fffcf014e18, format=format@entry=0x26e9010, width=width@entry=0x7fffcf014df8, height=height@entry=0x7fffcf014dfc,
    writable=writable@entry=0) at transition_composite.c:1210
0000024 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc4997f10, buffer=buffer@entry=0x7fffcf014e18, format=format@entry=0x26e9010, width=width@entry=0x7fffcf014df8, height=height@entry=0x7fffcf014dfc,
    writable=0) at mlt_frame.c:475
0000025 0x00007ffff44df97d in producer_get_image (self=self@entry=0x7fffc48448c0, buffer=buffer@entry=0x7fffcf014e18, format=format@entry=0x26e9010, width=width@entry=0x7fffcf014df8, height=height@entry=0x7fffcf014dfc,
    writable=writable@entry=0) at mlt_tractor.c:273
0000026 0x00007ffff44cceaa in mlt_frame_get_image (self=self@entry=0x7fffc48448c0, buffer=buffer@entry=0x7fffcf014e18, format=format@entry=0x26e9010, width=width@entry=0x7fffcf014df8, height=height@entry=0x7fffcf014dfc,
    writable=0, writable@entry=4076190) at mlt_frame.c:475
0000027 0x00007ffff44dca6d in consumer_read_ahead_thread (arg=0x26e8f90) at mlt_consumer.c:778
0000028 0x00007ffff46f2e0e in start_thread (arg=0x7fffcf015700) at pthread_create.c:305
0000029 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 80 (Thread 0x7fff6df4a700 (LWP 7412)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007ffff44dcceb in mlt_consumer_rt_frame (self=self@entry=0x26e8f90) at mlt_consumer.c:1375
0000002 0x00007fffdcc25df8 in consumer_thread (arg=<optimized out>) at consumer_sdl.c:797
0000003 0x00007ffff46f2e0e in start_thread (arg=0x7fff6df4a700) at pthread_create.c:305
0000004 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 78 (Thread 0x7fff917fa700 (LWP 7410)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1 0x00007ffff44dc280 in mlt_consumer_put_frame (self=0x26e8f90, frame=frame@entry=0x7fffc49d6c00) at mlt_consumer.c:529
0000002 0x00007fffdcc2894e in consumer_thread (arg=0x1f11f10) at consumer_sdl_preview.c:436
0000003 0x00007ffff46f2e0e in start_thread (arg=0x7fff917fa700) at pthread_create.c:305
0000004 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 37 (Thread 0x7fff73fff700 (LWP 7042)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc48c7b40) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff73fff700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 36 (Thread 0x7fff78ff9700 (LWP 7041)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc48c2f68) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff78ff9700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 35 (Thread 0x7fff7bfff700 (LWP 7040)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc48be390) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff7bfff700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 34 (Thread 0x7fffcf816700 (LWP 7039)):
---Type <return> to continue, or q <return> to quit---
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc48b97b8) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffcf816700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 33 (Thread 0x7fff90ff9700 (LWP 7038)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc48b4be0) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff90ff9700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 30 (Thread 0x7fff797fa700 (LWP 7035)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc49fbc60) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff797fa700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 29 (Thread 0x7fff79ffb700 (LWP 7034)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc49f7088) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff79ffb700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 28 (Thread 0x7fff7a7fc700 (LWP 7033)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc49f24b0) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff7a7fc700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 27 (Thread 0x7fff7affd700 (LWP 7032)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc49ed8d8) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff7affd700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 26 (Thread 0x7fff7b7fe700 (LWP 7031)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc49e8d00) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff7b7fe700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 20 (Thread 0x7fff91ffb700 (LWP 7025)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc462f320) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff91ffb700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 19 (Thread 0x7fff927fc700 (LWP 7024)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc462a748) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff927fc700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 18 (Thread 0x7fff92ffd700 (LWP 7023)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
---Type <return> to continue, or q <return> to quit---
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc4625b70) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff92ffd700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 17 (Thread 0x7fff937fe700 (LWP 7022)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc4620f98) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff937fe700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 16 (Thread 0x7fff93fff700 (LWP 7021)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc461c3c0) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fff93fff700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 15 (Thread 0x7fffa97fa700 (LWP 7020)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc433e080) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffa97fa700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7fffa9ffb700 (LWP 7019)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc43394a8) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffa9ffb700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 13 (Thread 0x7fffaa7fc700 (LWP 7018)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc43348d0) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffaa7fc700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7fffaaffd700 (LWP 7017)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc432fcf8) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffaaffd700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fffab7fe700 (LWP 7016)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc432b120) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffab7fe700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fffcc810700 (LWP 7015)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc406cc40) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffcc810700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fffcd011700 (LWP 7014)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc4068068) at libavcodec/pthread.c:381
---Type <return> to continue, or q <return> to quit---
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffcd011700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fffcd812700 (LWP 7013)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc4063490) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffcd812700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fffce013700 (LWP 7012)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc405e8b8) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffce013700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fffce814700 (LWP 7011)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fffe097bfa3 in frame_worker_thread (arg=0x7fffc4059ce0) at libavcodec/pthread.c:381
0000002 0x00007ffff46f2e0e in start_thread (arg=0x7fffce814700) at pthread_create.c:305
0000003 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fffd4d4c700 (LWP 6997)):
#0 0x00007ffff0d44f23 in select () at ../sysdeps/unix/syscall-template.S:82
#1 0x00007ffff4a61752 in ?? () from /usr/lib64/libQtCore.so.4
0000002 0x00007ffff4988ddb in ?? () from /usr/lib64/libQtCore.so.4
0000003 0x00007ffff46f2e0e in start_thread (arg=0x7fffd4d4c700) at pthread_create.c:305
0000004 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fffd56a0700 (LWP 6993)):
#0 0x00007ffff0d4314f in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1 0x00007fffee62b684 in g_main_context_poll (n_fds=2, fds=0x7fffd0002bb0, timeout=-1, context=0x7fffd00009a0, priority=<optimized out>) at gmain.c:3440
0000002 g_main_context_iterate (context=context@entry=0x7fffd00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3141
0000003 0x00007fffee62b7a4 in g_main_context_iteration (context=0x7fffd00009a0, may_block=1) at gmain.c:3207
0000004 0x00007ffff4ab0956 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000005 0x00007ffff4a8173f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000006 0x00007ffff4a819c8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000007 0x00007ffff4985e40 in QThread::exec() () from /usr/lib64/libQtCore.so.4
0000008 0x00007ffff4a6211f in ?? () from /usr/lib64/libQtCore.so.4
0000009 0x00007ffff4988ddb in ?? () from /usr/lib64/libQtCore.so.4
0000010 0x00007ffff46f2e0e in start_thread (arg=0x7fffd56a0700) at pthread_create.c:305
0000011 0x00007ffff0d4b2cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff7fb0780 (LWP 6990)):
#0 0x00007ffff0d4314f in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1 0x00007fffee62b684 in g_main_context_poll (n_fds=9, fds=0x2c71a80, timeout=5, context=0xa34c00, priority=<optimized out>) at gmain.c:3440
0000002 g_main_context_iterate (context=context@entry=0xa34c00, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3141
0000003 0x00007fffee62b7a4 in g_main_context_iteration (context=0xa34c00, may_block=1) at gmain.c:3207
0000004 0x00007ffff4ab0936 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000005 0x00007ffff55178ae in ?? () from /usr/lib64/libQtGui.so.4
0000006 0x00007ffff4a8173f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000007 0x00007ffff4a819c8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000008 0x00007ffff4a863a8 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
0000009 0x000000000045a544 in main (argc=1, argv=0x7fffffffdb78) at /home/kdenlivesvn/ins/kdenlive/src/main.cpp:89
(gdb)
TagsNo tags attached.
Build/Install MethodManual build from Git
Attached Filestxt file icon crash.txt [^] (23,158 bytes) 2013-02-17 20:49 [Show Content]
zip file icon jbm-mantis0002987_v01.zip [^] (11,090 bytes) 2013-02-18 09:58
zip file icon jbm-mantis0002987_v02.zip [^] (3,392 bytes) 2013-02-18 10:39

- Relationships
has duplicate 0002906closedj-b-m Crash during playback 

-  Notes
(0009291)
lxvidcut (reporter)
2013-02-17 20:49

I've added second output via file
(0009292)
j-b-m (administrator)
2013-02-17 22:33

I cannot reproduce the problem. Does it crash everytime? Could you attach here a very simple project (possibly one title clip and color clips for transitions) that shows this bug ? Seems like the crash is happening because of the typewriter effect...
(0009293)
lxvidcut (reporter)
2013-02-18 10:19

I was able to reproduce and I have uploaded a zip (v01) for you to reproduce. I'am not sure if this is the same bug... but please take a look.

I have reduced a current project file to a absolute minimum with color clips and I was able to crash kdenlive with this small project.
If you also need the DeJaVu Sans font please give me a note.

You are right, typewriter effect is and was active (typing) while the crash occurs.

Play the whole timeline. You have to set new play positions permanently via mouse clicks. You have to put the UI under stress.

btw, the original crash of this bug report occurs while playing MPEG 4 AVC AVCHD files. This is my first project without proxies. In the meanwhile it is possible to use AVCHD directly because of some improvements in libav mlt and so on.
(0009294)
lxvidcut (reporter)
2013-02-18 10:46

It takes a few minutes to reproduce v02. See attachments.
Before this crash has occurred I opened the title tool did no changes and have closed it by pressing the ok button. After playing the timline with some reposition clicks... bang...

Hope that this is enough stuff to reproduce...
Thanks Christian
(0009295)
lxvidcut (reporter)
2013-02-18 10:52

In my mantis overview there is an still open case posted by me in December. It looks very similar to the original crash of this case...
http://www.kdenlive.org/mantis/view.php?id=2906 [^]
(0009298)
j-b-m (administrator)
2013-02-19 01:34

Thanks for the project files, I can reproduce now. The fix is not easy, it needs a rewrite of some parts of the kdenlivetitle code in MLT and Kdenlive.

I am working on it...
(0009314)
j-b-m (administrator)
2013-02-22 17:55

Should be fixed now in MLT's git, please test
(0009348)
lxvidcut (reporter)
2013-02-25 21:20

I wasn't able to reproduce anymore, Thanks!
Please close also 0002906

- Issue History
Date Modified Username Field Change
2013-02-17 20:45 lxvidcut New Issue
2013-02-17 20:49 lxvidcut File Added: crash.txt
2013-02-17 20:49 lxvidcut Note Added: 0009291
2013-02-17 22:33 j-b-m Note Added: 0009292
2013-02-17 22:33 j-b-m Assigned To => j-b-m
2013-02-17 22:33 j-b-m Status new => feedback
2013-02-18 09:58 lxvidcut File Added: jbm-mantis0002987_v01.zip
2013-02-18 10:19 lxvidcut Note Added: 0009293
2013-02-18 10:19 lxvidcut Status feedback => assigned
2013-02-18 10:39 lxvidcut File Added: jbm-mantis0002987_v02.zip
2013-02-18 10:46 lxvidcut Note Added: 0009294
2013-02-18 10:52 lxvidcut Note Added: 0009295
2013-02-19 01:34 j-b-m Note Added: 0009298
2013-02-22 17:55 j-b-m Note Added: 0009314
2013-02-25 21:20 lxvidcut Note Added: 0009348
2013-02-25 21:32 j-b-m Relationship added has duplicate 0002906
2013-02-25 21:32 j-b-m Status assigned => resolved
2013-02-25 21:32 j-b-m Fixed in Version => Recent git
2013-02-25 21:32 j-b-m Resolution open => fixed
2013-04-07 08:45 j-b-m Fixed in Version Recent git => 0.9.6
2013-04-07 08:45 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker